<?
$object = IPS_GetObject($IPS_SELF);
$parentID = $object['ParentID'];

$protocol = "http://";
$url = "dein_servername/dein_path/appointments.asp";
$username = "dein_username";
$password = "dein_passwort";
$timeout = 10*60;
$cred = sprintf('Authorization: Basic %s', base64_encode("$username:$password") );
$opts = array(
'http'=>array(
'method'=>'GET',
'header'=>$cred,
'timeout' => $timeout )
);
$context = stream_context_create($opts);
$content = file_get_contents($protocol.$url, false, $context);

$xml = simplexml_load_string($content);



$today_date = date ("d.m.Y");
if (date("w", strtotime($today_date)) == 0) {
   $first_weekday = 6;
} else {
	$first_weekday = date("w", strtotime($today_date)) - 1;
}
$start_date = date ("d.m.Y", strtotime ("-$first_weekday day", strtotime($today_date)));
$end_date = date ("d.m.Y", strtotime ("+7 day", strtotime($start_date)));
$html = wochentabelle($xml, $start_date, $end_date);

$start_date = date ("d.m.Y", strtotime ("0 day", strtotime($end_date)));
$end_date = date ("d.m.Y", strtotime ("+7 day", strtotime($start_date)));
$html .= wochentabelle($xml, $start_date, $end_date);

$ID = CreateVariableByName($parentID, "Termine", 3, "~HTMLBox");
SetValueString($ID,(string)$html );
IPS_SetPosition($ID,0);

function wochentabelle($xml,$check_date, $end_date) {
   $html = "<table class=\"termine\">\n";
	setlocale(LC_TIME, 'de_DE', 'German_Germany');
	$kopfzeile = "<thead><tr>\n";
	$datenzeile = "<tbody><tr>\n";
	while ($check_date != $end_date) {
	   setlocale(LC_TIME, "de_DE");
		$th_class = "";
		$td_class = "";
	   if ($check_date == date ("d.m.Y")) {
	      $th_class .= " heute";
	      $td_class .= " heute";
		}
      if (date("w", strtotime($check_date)) == 6 || date("w", strtotime($check_date)) == 0) {
			$th_class .= " wochenende";
	      $td_class .= " wochenende";
		}
		$kopfzeile .= "<th class=\"" . $th_class . "\">";
		$datenzeile .= "<td class=\"" . $td_class . "\">\n";
	  	$kopfzeile .= "<strong>" . strftime("%A",strtotime($check_date)) . "</strong><br/>" . strftime("%d. %B %Y",strtotime($check_date)) . "</th>\n";
	   foreach($xml->appointment as $appointment) {
			if ((strtotime($check_date) >= strtotime($appointment->start) && strtotime($check_date) < strtotime($appointment->end)) || strtotime($check_date) == strtotime(substr($appointment->start,0,10))) {
				if ($appointment->alldayevent == "Wahr") {
				   $zeit = "ganztgig";
				} else {
				   $zeit = substr($appointment->start,11,5) . " - " . substr($appointment->end,11,5);
				}
				$image = "appointment_soon";
				if (substr($appointment->subject,0,11) == "Geburtstag ") {
				   $image = "cookie";
				}
				if (substr($appointment->subject,0,6) == "Ferien") {
				   $image = "boy";
				}
	         if (substr($appointment->subject,0,3) == "CMS") {
				   $image = "drive_work";
				}
				if (substr($appointment->subject,0,11) == "Gelbe Tonne") {
				   $image = "gelbe-tonne";
				}
				if (substr($appointment->subject,0,11) == "Blaue Tonne") {
				   $image = "blaue-tonne";
				}
				if (substr($appointment->subject,0,5) == "Restmlltonne") {
				   $image = "graue-tonne";
				}
				$datenzeile .= "<div class=\"termin\">\n";
			   $datenzeile .= " <img src=\"data/icon.php?name=" . $image . "&amp;theme=png\" class=\"iconImage\">\n";
			   $datenzeile .= " <div class=\"zeit\">" . $zeit . "</div>\n";
			   $datenzeile .= " <div class=\"subject\">" . umlaute($appointment->subject) . "</div>\n";
			   $datenzeile .= "</div>\n";
			}
		}
		$datenzeile .= "</td>\n";
		$check_date = date ("d.m.Y", strtotime ("+1 day", strtotime($check_date)));
	}
	$kopfzeile .= "</tr></thead>\n";
	$datenzeile .= "</tr></tbody>\n";
	$html .= $kopfzeile;
	$html .= $datenzeile;
	$html .= "</table>\n";
	return $html;
}



function umlaute( $text ) {
    $suchen = array("ä","ö","ü","ß");
    $ersetzen = array("","","","");
    $text = str_replace($suchen, $ersetzen, $text);
    return $text;
}
function CreateVariableByName($id, $name, $type, $profile = "") {
  global $IPS_SELF;
  $vid = @IPS_GetVariableIDByName($name, $id);
  if($vid === false) {
   $vid = IPS_CreateVariable($type);
   IPS_SetParent($vid, $id);
   IPS_SetName($vid, $name);
   IPS_SetInfo($vid, "this variable was created by script #$IPS_SELF");
   if($profile !== "") { IPS_SetVariableCustomProfile($vid, $profile); }
  }
  return $vid;
}
?>