<%	' Beschreibung CDO http://msdn.microsoft.com/en-us/library/ms526130.aspx
	response.ContentType="text/xml"
	response.write "<?xml version=""1.0"" encoding=""ISO-8859-1"" ?>" & vbcrlf
	response.write "<appointments>" & vbcrlf
	' Konstanten fuer Kalender-Folder und Filterung
	Const CdoPR_START_DATE = &H600040
	Const CdoPR_END_DATE = &H610040
	Const CdoDefaultFolderCalendar = 0
	' Connect auf Exchange, MAPI Session erstellen und einloggen
	strProfileInfo = "dein_exchangeservername" & vbLf & "username_postfach"
	Set objSession = Server.CreateObject("MAPI.Session")
	objSession.Logon "", "", False, True, 0, True, strProfileInfo
	objSession.SetOption "TimeZone", 6
	' Auf Kalender-Folder einstellen
	Set objFolder = objSession.GetDefaultFolder(CdoDefaultFolderCalendar)
	Set objMsg = objFolder.Messages
	' Filter einrichten um nur Termine von heute und morgen anzuzeigen
	Set objFilter = objMsg.Filter
	dtmStartTime = DateAdd("d",-6, Now())
	dtmEndTime = DateAdd("d",14, Now())
	objFilter.Fields.Add CdoPR_START_DATE, dtmEndTime
	objFilter.Fields.Add CdoPR_END_DATE, dtmStartTime
	'gefilterte Eintraege ausgeben (fuer den Test nur auf den Terminbegin beschraenkt)
	for each fld in objMsg
		response.write "<appointment>" & vbcrlf
		response.write "<start>" & fld.StartTime & "</start>" & vbcrlf
		response.write "<end>" & fld.EndTime & "</end>" & vbcrlf
		response.write "<alldayevent>" & fld.AllDayEvent & "</alldayevent>" & vbcrlf
		response.write "<subject>" & XmlEncode(fld.Subject) & " </subject>" & vbcrlf
		response.write "<text>" & XmlEncode(fld.Text) & " </text>" & vbcrlf
		response.write "<duration>" & fld.duration & "</duration>" & vbcrlf
		response.write "<location>" & XmlEncode(fld.location) & " </location>" & vbcrlf
		response.write "</appointment>"& vbcrlf 
	next
	response.write "</appointments>" & vbcrlf
	' alles wieder kaputt machen und ausloggen
	Set objFilter = Nothing
	Set objMsg = Nothing
	Set objFolder = Nothing
	objSession.Logoff
	Set objSession = Nothing
	Function RemoveHTML( strText )
		Dim RegEx

		Set RegEx = New RegExp

		RegEx.Pattern = "<[^>]*>"
		RegEx.Global = True

		RemoveHTML = RegEx.Replace(strText, "")
	End Function
	Function XmlEncode(ByVal strText)
		XmlEncode = Replace(Replace(Replace(strText, "&", "&amp;"), "<", "&lt;"), Chr(34), "&quot;")
	End Function

%>


   
